Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 12-18-09, 07:42 AM   #1
jsundqui
Registered User
 
Join Date: Jan 2007
Posts: 7
Default New G210 works on ub 9.10 but not recognized in 8.04

I bought a G210 for a HTPC box, mostly running mythtv. It is replacing an 8300GS that despite the 8000-series moniker, couldn't do VDPAU.

As you may know, mythtv does take a while to tweak and set up. So I put my new mythbuntu 9.10 install on a separate partition so I can still boot into the old working 8.04 which lets the family still "just watch TV".

The only problem is I can't get the new G210 to work with 8.04, so I had to put the 8300GS back.

First, I realize that it needs the 190 driver, not the 169 that comes with 8.04 (nvidia-glx-new is 169), so I added http://ppa.launchpad.net/nvidia-vdpau/ppa/ubuntu hardy main to my sources list, and installed nvidia-glx-190

Things seem to be installed correctly, as you can see:

Code:
user@mythtv:~$ dpkg -l | grep nvidia
ii  dkms    2.1.0.1-0ubuntu1~nvidiavdpauppa1    Dynamic Kernel Module Support Framework
ii  nvidia-190-kernel-source   190.53-0ubuntu1~karmic~nvidiavdpauppa6   NVIDIA binary kernel module source
ii  nvidia-190-modaliases     190.53-0ubuntu1~karmic~nvidiavdpauppa6      Modaliases for the NVIDIA binary X.Org drive
ii  nvidia-glx-190    190.53-0ubuntu1~karmic~nvidiavdpauppa6     NVIDIA binary Xorg driver
rc  nvidia-glx-195   195.22-0ubuntu1~karmic~nvidiavdpauppa2     NVIDIA binary Xorg driver
rc  nvidia-glx-new    169.12+2.6.24.18-26.3     NVIDIA binary XFree86 4.x/X.Org 'new' driver
ii  nvidia-kernel-common    20051028+1ubuntu8      NVIDIA binary kernel module common files
rc  nvidia-settings     1.0+20080304-0ubuntu1.1      Tool of configuring the NVIDIA graphics driv
ii  nvidia-settings-190    190.42-0ubuntu1~karmic~nvidiavdpauppa1    Tool of configuring the NVIDIA graphics driv
(note, I as you can see I also tried the 195 drivers, but when that didn't work either, I went back to 190). What's interesting is that these package names say karmic in them, even though I added the hardy repo. Strange, but they load into the kernel, so it should be OK:

Code:
user@mythtv:~$ lsmod | grep nvidia
nvidia               4718832  0
i2c_core               24832  13 dvb_pll,lgdt330x,cx88_vp3054_i2c,tuner,tea5767,tda8290,tuner_simple,mt20xx,tea5761,cx88xx,i2c_algo_bit,tveeprom,nvidia
agpgart                34760  2 nvidia,intel_agp
What I think is the problem is that for some reason the card is not recognized:

Code:
user@mythtv:~$ lspci | grep nVidia
01:00.0 VGA compatible controller: nVidia Corporation Unknown device 0a65 (rev a2)
01:00.1 Audio device: nVidia Corporation Unknown device 0be3 (rev a1)
It just says "Unknown device"
That is with 8.04

What is interesting is that when I boot into the 9.10 partition, it is recognized:

Code:
user@mythtv:~$ lspci | grep nVidia
01:00.0 VGA compatible controller: nVidia Corporation GT200 [GeForce 210] (rev a2)
01:00.1 Audio device: nVidia Corporation Device 0be3 (rev a1)
This would explain why X would not work with 8.04. Here is the only (EE) in the 8.04 X log:

Code:
(EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)
Apparently, X is saying that 190 is not a compatible driver for "unknown device"!

Sure I can just boot into 9.10 and everything is fine and dandy, but...

- I am having some other tweaking problems with 9.10, and until those are fixed, the family wants their "regular mythtv", so I need to get this card working with 8.04

- 8.04 is an LTS release, so there are probably folks out there who intend to run it until 2011, so perhaps solving this problem will help them, too.

Thanks.

JS
jsundqui is offline   Reply With Quote
Old 12-18-09, 10:12 AM   #2
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: New G210 works on ub 9.10 but not recognized in 8.04

Please see the forum sticky posts about how to generate an nvidia-bug-report.log.gz file.
AaronP is offline   Reply With Quote
Old 12-18-09, 07:39 PM   #3
jsundqui
Registered User
 
Join Date: Jan 2007
Posts: 7
Default Re: New G210 works on ub 9.10 but not recognized in 8.04

Sorry about that Aaron. Should have read that first.

Please find attached.
Attached Files
File Type: gz nvidia-bug-report.log.gz (41.6 KB, 96 views)
jsundqui is offline   Reply With Quote
Old 12-18-09, 08:13 PM   #4
jsundqui
Registered User
 
Join Date: Jan 2007
Posts: 7
Default Re: New G210 works on ub 9.10 but not recognized in 8.04

Well, this is an interesting part of the log:

Code:
/proc/driver/nvidia/version
NVRM version: NVIDIA Linux x86 Kernel Module  96.43.05  Tue Jan 22 19:36:58 PST 2008
GCC version:  gcc version 4.2.4 (Ubuntu 4.2.4-1ubuntu3)
I don't know what 96.43.05 corresponds to in the 169-190-195 naming convention, but the Jan 2008 compile date is a red flag.

The nvidia-glx-190 is definitely installed, not nvidia-glx-new. But that date says something else.

:-/
jsundqui is offline   Reply With Quote
Old 12-19-09, 09:33 AM   #5
jsundqui
Registered User
 
Join Date: Jan 2007
Posts: 7
Default Re: New G210 works on ub 9.10 but not recognized in 8.04

Looking into this further, how do I reconcile these two outputs:
Code:
user@mythtv:~$ cat /proc/driver/nvidia/version
NVRM version: NVIDIA Linux x86 Kernel Module  96.43.05  Tue Jan 22 19:36:58 PST 2008
GCC version:  gcc version 4.2.4 (Ubuntu 4.2.4-1ubuntu3)

user@mythtv:~$ for i in `locate nvidia.ko`; do ls -la $i; done
ls: cannot access /lib/modules/2.6.24-24-generic/kernel/drivers/video/nvidia.ko: No such file or directory
-rw-r--r-- 1 root root 9587988 2009-12-16 19:32 /lib/modules/2.6.24-24-generic/updates/dkms/nvidia.ko
The first one says I have a module loaded that was compiled in Jan 2008

The second one says I have a module that was installed on 12/16/2009 which is correct, and is the day I installed the 190 driver.
Code:
root@mythtv:~# apt-get remove nvidia-glx-new
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package nvidia-glx-new is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
Code:
root@mythtv:~# apt-get install nvidia-glx-190
Reading package lists... Done
Building dependency tree
Reading state information... Done
nvidia-glx-190 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
:-/
jsundqui is offline   Reply With Quote
Old 12-19-09, 02:56 PM   #6
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: New G210 works on ub 9.10 but not recognized in 8.04

That first date is when the driver was built at NVIDIA and the second date is when the kernel module was compiled for your system (i.e. when you installed that package). You're right that the wrong version of the driver is installed. I'd suggest contacting Ubuntu's support forum to figure out why the Ubuntu packages are not working correctly.
AaronP is offline   Reply With Quote
Old 12-19-09, 04:17 PM   #7
jsundqui
Registered User
 
Join Date: Jan 2007
Posts: 7
Default Re: New G210 works on ub 9.10 but not recognized in 8.04

OK. Thanks for looking into it.

Started a new discussion at

http://ubuntuforums.org/showthread.p...06#post8527806
jsundqui is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 08:59 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.